petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMTSSetI2Jacobian

set TS implicit Jacobian evaluation function for 2nd order systems

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetI2Jacobian(DM dm,TSI2Jacobian jac,void *ctx)

Not Collective

### Input Arguments

| dm | - DM to be used with TS
| fun | - Jacobian evaluation function, see TSSetI2Jacobian() for calling sequence
| ctx | - context for Jacobian evaluation

### Note

TSSetI2Jacobian() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

TSSetI2Jacobian()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages